# Generated from aggkit-0.4.91.29907.gem by gem2rpm -*- rpm-spec -*-
%global gem_name aggkit

Name: rubygem-%{gem_name}
Version: 0.4.91.29907
Release: 1%{?dist}
Summary: Helper scripts for work with docker and consul in Aggredator
License: MIT
URL: https://br.rnds.pro/aggredator/support/aggkit
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
Advanced docker and consul control scripts.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/agg
%{_bindir}/aggci
%{_bindir}/aggconsul
%{_bindir}/aggexec
%{_bindir}/agggen
%{_bindir}/agglock
%{_bindir}/aggmerge
%{_bindir}/aggstart
%{_bindir}/aggterm
%{_bindir}/aggwait
%{_bindir}/aggwrap
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.pronto.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/aggkit.gemspec
%doc %{gem_instdir}/docker

%changelog
* Sun Sep 12 2021 mockbuilder - 0.4.91.29907-1
- Initial package
